# $Revision: 1.21 $, $Date: 2005/09/18 21:05:37 $

%define		_theme	aqua

Summary:	Aqua theme
Summary(pl):	Motyw Aqua
Name:		kde-theme-%{_theme}
Version:	3.2
Release:	4
License:	GPL
Group:		Themes
Source0:	http://www.kde-look.org/content/files/153-acqua-3.2.tar.bz2
# Source0-md5:	cd8a0ba106a6ad207e9858832856c23b
Source1:	http://www.ecsis.net/%7Egregday/AQUA-ICONS-07-23-2003.tar.gz
# Source1-md5:	0b1c1e0a8534c652c7f3c15bdd931718
URL:		http://kde-look.org/content/show.php?content=153
# Also:	http://www.kde-look.org/content/show.php?content=5057
Requires:	kdelibs
Requires:	kde-style-%{_theme}
Requires:	kde-decoration-%{_theme}
Requires:	kde-icons-%{_theme}
Requires:	kde-wallpaper-%{_theme}
Requires:	kdm-user-pics-%{_theme}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MacOS-like theme.

%description -l pl
Motyw przypominajcy MacOS.

%package -n kde-style-%{_theme}
Summary:	Acqua theme
Summary(pl):	Motyw Aqua
Group:		Themes
Requires:	kdelibs
Obsoletes:	kde-theme-acqua
Obsoletes:	kde-theme-Acqua

%description -n kde-style-%{_theme}
MacOS-like theme.

%description -n kde-style-%{_theme} -l pl
Motyw przypominajcy MacOS.

%package -n kde-icons-%{_theme}
Summary:	KDE icon theme - %{_theme}
Summary(pl):	Motyw ikon do KDE - %{_theme}
Group:		Themes
Requires:	kdelibs
Obsoletes:	kde-theme-acqua
Obsoletes:	kde-theme-Acqua

%description -n kde-icons-%{_theme}
The Aqua icon set to end all Aqua icon sets!
Includes over 4,000 icons in sizes from 16x16 to 128x128.

%description -n kde-icons-%{_theme} -l pl
Ten motyw ikon bije wszystkie inne motywy Aquy.
Zawiera ponad 4,000 ikon w rozmiarach od 16x16 do 128x128.

%package -n kde-wallpaper-%{_theme}
Summary:	KDE wallpaper - %{_theme}
Summary(pl):	Tapeta do KDE - %{_theme}
Group:		Themes
# Contains /usr/share/wallpapers
Requires:	kdebase-core
Obsoletes:	kde-theme-acqua
Obsoletes:	kde-theme-Acqua

%description -n kde-wallpaper-%{_theme}
A wallpaper to go with KDE %{_theme} style.

%description -n kde-wallpaper-%{_theme} -l pl
Tapeta pasujca do stylu %{_theme} slicker.

%package -n kde-decoration-%{_theme}
Summary:	Icewm window decoration for kwin - %{_theme}
Summary(pl):	Dekoracja icewm dla kwin - %{_theme}
Group:		Themes
Requires:	kde-decoration-icewm

%description -n kde-decoration-%{_theme}
Icewm window decoration for kwin - %{_theme}.

%description -n kde-decoration-%{_theme} -l pl
Dekoracja icewm dla kwin - %{_theme}.

%package -n kdm-user-pics-%{_theme}
Summary:	KDM users pixmaps - %{_theme}
Summary(pl):	Grafiki uytkownikw dla KDM - %{_theme}
Group:		Themes
Requires:	kdm
Obsoletes:	kdm-pixmaps-aqua

%description -n kdm-user-pics-%{_theme}
KDM users pixmaps - %{_theme}.

%description -n kdm-user-pics-%{_theme} -l pl
Grafiki uytkownikw dla KDM - %{_theme}.

%prep
%setup -q -a1 -n acqua-3.2

%install
install -d $RPM_BUILD_ROOT{%{_datadir}/{wallpapers,apps/{kstyle,kwin/icewm-themes,kdm/pics/users}},%{_iconsdir}/Aqua}

cp -pR {pixmaps,themes}		$RPM_BUILD_ROOT%{_datadir}/apps/kstyle/
cp -pR wallpapers/*		$RPM_BUILD_ROOT%{_datadir}/wallpapers/

cp -pR icewm-themes/Acqua	$RPM_BUILD_ROOT%{_datadir}/apps/kwin/icewm-themes

#%{__tar} xfz %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}
find Aqua -type d -name '.xvpics' \
	-o -type d -name '.thumbnails' | xargs rm -rf

cp -pR Aqua/16x16 $RPM_BUILD_ROOT%{_iconsdir}/Aqua
cp -pR Aqua/22x22 $RPM_BUILD_ROOT%{_iconsdir}/Aqua
cp -pR Aqua/32x32 $RPM_BUILD_ROOT%{_iconsdir}/Aqua
cp -pR Aqua/48x48 $RPM_BUILD_ROOT%{_iconsdir}/Aqua
cp -pR Aqua/64x64 $RPM_BUILD_ROOT%{_iconsdir}/Aqua
cp -pR Aqua/128x128 $RPM_BUILD_ROOT%{_iconsdir}/Aqua
install Aqua/index.desktop $RPM_BUILD_ROOT%{_iconsdir}/Aqua

cp -pR Aqua/kdm/*.png $RPM_BUILD_ROOT%{_datadir}/apps/kdm/pics/users/

%post
echo "You may have to run kinstalltheme for this theme to become available"
echo "in currently opened sessions."

%clean
rm -rf $RPM_BUILD_ROOT

%files

%files -n kde-style-%{_theme}
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog
%{_datadir}/apps/kstyle/pixmaps/*
%{_datadir}/apps/kstyle/themes/*

%files -n kde-decoration-%{_theme}
%defattr(644,root,root,755)
%{_datadir}/apps/kwin/icewm-themes/*

%files -n kde-icons-%{_theme}
%defattr(644,root,root,755)
%{_iconsdir}/Aqua

%files -n kde-wallpaper-%{_theme}
%defattr(644,root,root,755)
%{_datadir}/wallpapers/Acqua.jpg

%files -n kdm-user-pics-%{_theme}
%defattr(644,root,root,755)
%{_datadir}/apps/kdm/pics/users/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-theme-aqua.spec,v $
Revision 1.21  2005/09/18 21:05:37  glen
- create base package depend on style/decoration/icons/wallpaper/kdm userpics packages; rel 4

Revision 1.20  2004/08/11 23:09:35  havner
- removed todo line after rename
- rel 3

Revision 1.19  2004/06/25 17:58:35  qboosh
- no macro in Obsoletes

Revision 1.18  2004/06/24 17:47:23  havner
- s/kdm-pixmaps/kdm-user-pics/

Revision 1.17  2004/05/05 18:19:34  havner
- updated
- added kdm-pixmaps
- cleanups

Revision 1.16  2003/08/18 08:08:13  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.15  2003/08/11 22:46:32  ankry
- cosmetics

Revision 1.14  2003/08/01 14:10:42  qboosh
- cleanups, missing dir

Revision 1.13  2003/07/31 16:42:45  djurban
- rel. 5
- finished

Revision 1.12  2003/07/31 16:27:31  djurban
- more subpackages (wallpapers, decoration)

Revision 1.11  2003/07/31 16:12:47  djurban
- added beginnings of subpackaging NFY!

Revision 1.10  2003/07/31 15:59:21  djurban
- added full macosx icon theme (over 4000 icons in size 8x8 to 128x128)

Revision 1.9  2003/05/28 12:59:18  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 05:49:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/02/23 23:59:19  ankry
- s/Temat/Motyw/g

Revision 1.6  2003/01/18 22:52:00  juandon
- removed two lines with define

Revision 1.5  2002/08/28 04:23:49  blues
- corrected package name - theme should be fixed, does not work well..

Revision 1.4  2002/07/28 20:02:30  mkochano
- Release 4.
- Added post section with message.

Revision 1.3  2002/07/05 07:11:30  mkochano
- Removed post/postun sections... kdcotamtheme should be run by user
  using kde at the moment, not the root. And not running it isn't a big
  problem.

Revision 1.2  2002/07/05 07:04:05  mkochano
- Release 2.
- Fixed post/postun macros usage.

Revision 1.1  2002/06/29 20:14:27  mkochano
- Acqua theme.
